commit: 2bb9e51568f12dd31bba9c947e5f1142054eda1f
Author: Kacper Kowalik <xarthisius <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 9 23:19:15 2016 +0000
Commit: Kacper Kowalik <xarthisius <AT> gentoo <DOT> org>
CommitDate: Wed Nov 9 23:19:15 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2bb9e515
x11-wm/i3: prevent injection of debug flags
Package-Manager: portage-2.2.28
x11-wm/i3/{i3-4.13.ebuild => i3-4.13-r1.ebuild} | 9 +++++--
x11-wm/i3/i3-9999.ebuild | 35 ++++++++++++++-----------
2 files changed, 26 insertions(+), 18 deletions(-)
diff --git a/x11-wm/i3/i3-4.13.ebuild b/x11-wm/i3/i3-4.13-r1.ebuild
similarity index 90%
rename from x11-wm/i3/i3-4.13.ebuild
rename to x11-wm/i3/i3-4.13-r1.ebuild
index 9e17c0b..470f0d4 100644
--- a/x11-wm/i3/i3-4.13.ebuild
+++ b/x11-wm/i3/i3-4.13-r1.ebuild
@@ -29,7 +29,7 @@ CDEPEND="dev-libs/libev
>=x11-libs/pango-1.30.0[X]"
DEPEND="${CDEPEND}
virtual/pkgconfig
- doc? ( app-text/asciidoc app-text/xmlto )"
+ doc? ( app-text/asciidoc app-text/xmlto dev-lang/perl )"
RDEPEND="${CDEPEND}
dev-lang/perl
dev-perl/AnyEvent-I3
@@ -38,6 +38,7 @@ RDEPEND="${CDEPEND}
DOCS=( RELEASE-NOTES-${PV} )
src_prepare() {
+ default
if ! use doc ; then
sed -e '/AC_PATH_PROG(\[PATH_ASCIIDOC/d' -i configure.ac || die
eautoreconf
@@ -46,7 +47,11 @@ src_prepare() {
#!/bin/sh
exec /usr/bin/i3
EOF
- default
+}
+
+src_configure() {
+ local myeconfargs=( --enable-debug=no ) # otherwise injects -O0 -g
+ econf "${myeconfargs[@]}"
}
src_compile() {
diff --git a/x11-wm/i3/i3-9999.ebuild b/x11-wm/i3/i3-9999.ebuild
index 03b4ef6..f1ac47a 100644
--- a/x11-wm/i3/i3-9999.ebuild
+++ b/x11-wm/i3/i3-9999.ebuild
@@ -2,9 +2,9 @@
# Distributed under the terms of the GNU General Public License v2
# $Id$
-EAPI=5
+EAPI=6
-inherit eutils toolchain-funcs git-2
+inherit autotools git-r3
DESCRIPTION="An improved dynamic tiling window manager"
HOMEPAGE="http://i3wm.org/"
@@ -15,7 +15,7 @@ EGIT_BRANCH="next"
LICENSE="BSD"
SLOT="0"
KEYWORDS=""
-IUSE="+pango"
+IUSE="doc"
CDEPEND="dev-lang/perl
dev-libs/libev
@@ -29,39 +29,42 @@ CDEPEND="dev-lang/perl
x11-libs/xcb-util-keysyms
x11-libs/xcb-util-wm
x11-libs/xcb-util-xrm
- pango? (
- >=x11-libs/pango-1.30.0[X]
- >=x11-libs/cairo-1.12.2[X,xcb]
- )"
+ >=x11-libs/pango-1.30.0[X]
+ >=x11-libs/cairo-1.14.4[X,xcb]"
DEPEND="${CDEPEND}
- app-text/asciidoc
+ doc? ( app-text/asciidoc app-text/xmlto )
virtual/pkgconfig"
RDEPEND="${CDEPEND}
dev-perl/AnyEvent-I3
dev-perl/JSON-XS"
src_prepare() {
- if ! use pango; then
- sed -i common.mk -e '/PANGO/d' || die
+ default
+
+ if ! use doc ; then
+ sed -e '/AC_PATH_PROG(\[PATH_ASCIIDOC/d' -i configure.ac || die
fi
+ eautoreconf
cat <<- EOF > "${T}"/i3wm
#!/bin/sh
exec /usr/bin/i3
EOF
+}
- epatch_user #471716
+src_configure() {
+ local myeconfargs=( --enable-debug=no ) # otherwise injects -O0 -g
+ econf "${myeconfargs[@]}"
}
src_compile() {
- emake V=1 CC="$(tc-getCC)" AR="$(tc-getAR)"
- emake mans
+ emake -C "${CBUILD}"
}
src_install() {
- default
- dohtml -r docs/*
- doman man/*.1
+ emake -C "${CBUILD}" DESTDIR="${D}" install
+ einstalldocs
+
exeinto /etc/X11/Sessions
doexe "${T}"/i3wm
}